$btnBorderRadius: rem(6)
$btnPadding: rem(12) rem(18)
$btnSmallPadding: rem(5) rem(16)
$btnWithBtnPadding: rem(5) rem(5) rem(5) rem(18)
.btn
  border-radius: $btnBorderRadius
  outline: none
  padding: $btnPadding
  font-family: $mainFont
  font-size: 0.875rem
  font-weight: 400
  line-height: 1.25
  text-align: center
  color: white
  background-color: $colorMain
  border: none
  cursor: pointer
  &:hover
    background-color: #ed7204
    color: white
  &:disabled
    color: #bdbdbd
    background: none
    border: 0.063rem solid #bdbdbd
  &--small
    font-size: 0.813rem
    padding: $btnSmallPadding
    font-weight: 500
  &--ghost
    color: white
    background: none
    box-shadow: none
    text-shadow: none
    border: 0.063rem solid rgba(#ffffff, 0.2)
    &:hover
      border: 0.063rem solid transparent
  &--ghostWhite
    color: black
    background: none
    box-shadow: none
    text-shadow: none
    border: 1px solid rgba(#000000, 0.2)
    &:hover
      border: 0.063rem solid transparent
  &--responsive
    width: auto
    height: auto
    padding: 14px 60px 14px 18px
    font-size: rem(14)
    line-height: rem(14)
    border: 0.063rem solid rgba(#000000, 0.2)
  &--ghostOrange
    color: $colorMain
    background: none
    box-shadow: none
    text-shadow: none
    border: 0.063rem solid $colorMain
    &:hover
      border: 0.063rem solid #ed7204
  &--withBtn
    display: flex
    flex-direction: row
    justify-content: space-between
    align-items: center
    padding: $btnWithBtnPadding
  &--empty
    border: none
    background: none
    padding: $btnSmallPadding
    &:hover
      background: none
      border: none
.btn-in-btn
  background-color: white
  border-radius: $btnBorderRadius
  width: 2.125rem
  height: 2.125rem
  display: flex
  justify-content: center
  align-items: center
  margin-left: rem(8)
  &--triangle
      background-color: white
      border-radius: $btnBorderRadius
      width: 2.125rem
      height: 2.125rem
      display: flex
      justify-content: center
      align-items: center
      margin-left: rem(8)
      position: relative
      &:after
        content: ''
        display: block
        position: absolute
        top: calc(50% - rem(5.5))
        right: calc(50% - rem(3.5))
        width: 0
        height: 0
        border-style: solid
        border-width: rem(5.5) 0 rem(5.5) rem(7)
        border-color: transparent transparent transparent $colorMain